org.codehaus.plexus.component.factory

## Interface ComponentFactory

All Known Implementing Classes:
  AbstractComponentFactory, JavaComponentFactory

    public interface ComponentFactory

A `ServiceFactory` is responsible for instantiating a component.

Version:
  $Id: ComponentFactory.java 7089 2007-11-25 15:19:06Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka

### Field Summary

Fields
`static java.lang.String` `ROLE` Component role.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getId()`
`java.lang.Object` `newInstance(ComponentDescriptor componentDescriptor, org.codehaus.plexus.classworlds.realm.ClassRealm classRealm, PlexusContainer container)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

Component role.

### Method Detail

#### getId

    java.lang.String getId()

#### newInstance

    java.lang.Object newInstance(ComponentDescriptor componentDescriptor,
                                 org.codehaus.plexus.classworlds.realm.ClassRealm classRealm,
                                 PlexusContainer container)
                          throws ComponentInstantiationException

Throws:
  `ComponentInstantiationException`